levelshots/UJE_forbidden_city_cc_automap
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/UJE_forbidden_city_cc.tga
        depthFunc equal
        rgbGen identity
    }
}
textures/UJE_forbidden_city/uje_grass
{
      	qer_editorimage textures/UJE_forbidden_city/grass.tga
	q3map_nonplanar 
	q3map_bounce 1
	surfaceparm grassteps
      	surfaceparm landmine
	{
		map textures/UJE_forbidden_city/grass.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
textures/UJE_forbidden_city/uje_zand
{
      	qer_editorimage textures/UJE_forbidden_city/zand.tga
	q3map_nonplanar 
	q3map_bounce 1
	surfaceparm gravelsteps
      	surfaceparm landmine
	{
		map textures/UJE_forbidden_city/zand.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
}
levelshots/UJE_forbidden_city_cc_trans
{
    nopicmip
    nocompress
    nomipmaps
    {
         clampmap levelshots/UJE_forbidden_city_cc.tga
         blendfunc blend
         rgbGen identity
         alphaGen vertex
    }
}
//Water surface
textures/UJE_forbidden_city/water_base
{
	nocompress
	qer_editorimage textures/UJE_forbidden_city/c1_128.tga
	qer_trans .40
	q3map_globaltexture
	q3map_nonplanar
	q3map_nofog
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter //zichtbare  texture tint op ondergrond  vanuit onder water
//	surfaceparm pointlight
}

textures/UJE_forbidden_city/uje_water
{
	q3map_baseshader textures/UJE_forbidden_city/water_base
	qer_editorimage textures/UJE_forbidden_city/c1_128.tga
	cull none
	tessSize 512
	deformVertexes wave 224 sin 0 3 0.5 0.23

	{
		animMap 9 textures/UJE_forbidden_city/c1_128.tga textures/UJE_forbidden_city/c2_128.tga textures/UJE_forbidden_city/c3_128.tga textures/UJE_forbidden_city/c4_128.tga textures/UJE_forbidden_city/c5_128.tga textures/UJE_forbidden_city/c6_128.tga textures/UJE_forbidden_city/c7_128.tga textures/UJE_forbidden_city/c8_128.tga
		blendfunc gl_src_alpha gl_one
		alphaGen const 0.25
		rgbGen vertex
		depthWrite
		tcmod scale 0.3 0.25
		tcmod turb 0 0.1 0.3 0.25
		tcmod scroll 0.004 0.003
	}
	{ 
		map textures/UJE_forbidden_city/water.tga
		rgbGen identity
		blendFunc blend
		alphaGen const 0.85 //0.56
		depthWrite
	}
	{
		map textures/UJE_forbidden_city/uje_env.tga
		blendfunc gl_src_alpha gl_one
		alphaGen const 0.05
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
}
//UJE_sky
textures/UJE_forbidden_city/icesky
{
  	nocompress
  	qer_editorimage textures/UJE_forbidden_city/icesky/sky_ft.tga
	q3map_lightrgb 0.8 0.9 1.0
  	q3map_globaltexture
  	q3map_lightimage textures/skies/n_blue2.tga
  	q3map_sunExt 1 .95 .9 75 210 28 3 16
//  	q3map_nofog
  	//q3map_lightsubdivide 256 
  	q3map_lightmapFilterRadius 0 15 
  	q3map_skyLight 85 3
  	skyparms textures/UJE_forbidden_city/icesky/sky 512 -
  	surfaceparm noimpact
  	surfaceparm nomarks
  	surfaceparm nolightmap
}
textures/UJE_forbidden_city/ijs
{
	qer_editorimage textures/snow_sd/snow_var01_big.tga
	q3map_lightmapMergable
	q3map_nonplanar
	surfaceparm snowsteps
	q3map_shadeAngle 110
	implicitMap textures/snow_sd/snow_var01_big.tga
}
textures/UJE_forbidden_city/rots
{
	qer_editorimage textures/snow_sd/bigrock_rounded_faint.tga
	q3map_lightmapMergable
	q3map_nonplanar
	surfaceparm snowsteps
	q3map_shadeAngle 110
	implicitMap textures/snow_sd/bigrock_rounded_faint.tga
}
textures/UJE_forbidden_city/alpha_000
{
        qer_editorimage textures/UJE_forbidden_city/qer_alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_forbidden_city/alpha_050
{
        qer_editorimage textures/UJE_forbidden_city/qer_alpha_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/UJE_forbidden_city/alpha_100
{
        qer_editorimage textures/UJE_forbidden_city/qer_alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_forbidden_city/icetostone
{
        qer_editorimage textures/UJE_forbidden_city/qericetostone.tga
//	q3map_globalTexture
	q3map_lightmapMergable
	q3map_nonplanar
	surfaceparm snowsteps
	q3map_shadeAngle 110
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
//	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.98 )
	{
		map textures/snow_sd/snow_var01_big.tga
		rgbGen identity
	}
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0 //LT128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/UJE_forbidden_city/icetolake
{
        qer_editorimage textures/UJE_forbidden_city/qericetolake.tga
//	q3map_globalTexture
	q3map_lightmapMergable
	q3map_nonplanar
	surfaceparm snowsteps
	q3map_shadeAngle 110
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
//	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.98 )
	{
		map textures/snow_sd/snow_var01_big.tga
		rgbGen identity
	}
	{
		map textures/snow_sd/icelake2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0 //LT128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/UJE_forbidden_city/uje_clouds
{
	qer_editorimage textures/skies/fueldump_clouds.tga
	qer_trans 0.3
	q3map_globalTexture

	q3map_lightrgb 0.8 0.9 1.0
	q3map_sunExt 1 .95 .9 100 60 60 2 16
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 50 5

//	q3map_lightmapMergable
	q3map_nonplanar
	cull none
	sort nearest
	surfaceparm pointlight
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/skies/fueldump_clouds.tga
		blendFunc blend
//		alphaFunc GE128
		alphaGen vertex //const 0.4
//		tcMod scale 64 64
		tcMod scroll -0.04 0
//		tcMod transform 1 0 0 1 0 1024
	}
	{
		map textures/skies/fueldump_clouds.tga
		blendFunc blend
//		alphaFunc GE128
		alphaGen vertex //const 0.1
//		tcMod scale 64 64
		tcMod scroll -0.02 0
//		tcMod transform 1 0 0 1 0 1024
	}
}
textures/UJE_forbidden_city/uje_clouds2
{
	qer_editorimage textures/skies/fueldump_clouds.tga
	qer_trans 0.3
	q3map_globalTexture

	q3map_lightrgb 0.8 0.9 1.0
	q3map_sunExt 1 .95 .9 100 60 60 2 16
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 50 5

//	q3map_lightmapMergable
	q3map_nonplanar
	cull none
	sort nearest
	surfaceparm pointlight
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/skies/fueldump_clouds.tga
		blendFunc blend
		alphaGen vertex //const 0.4
		tcMod scroll -0.04 0
	}
	{
		map textures/skies/fueldump_clouds.tga
		blendFunc blend
		alphaGen vertex //const 0.05
		tcMod scroll -0.1 0
	}
}
textures/UJE_forbidden_city/berglijn
{
	qer_trans 0.85
	qer_editorimage textures/UJE_forbidden_city/bergen.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm clipmissile
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/UJE_forbidden_city/bergen.tga
}
textures/UJE_forbidden_city/long_01
{       qer_editorimage textures/UJE_forbidden_city/long01.tga
        cull none
        surfaceparm trans
        surfaceparm nomarks	
        surfaceparm nolightmap 
        deformVertexes autosprite
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .3 .2
        {	clampmap textures/UJE_forbidden_city/long01.tga
		tcMod rotate 5
                blendFunc GL_ONE GL_ONE
	}
}
textures/UJE_forbidden_city/fog01
{    qer_editorimage textures/UJE_forbidden_city/qer_ujefog.tga
     surfaceparm	trans
     surfaceparm	nonsolid
     surfaceparm	fog
     surfaceparm	nolightmap

     fogparms ( .7 .7 .6 ) 2000
}

//--- vlammetjes
textures/UJE_forbidden_city/kaarsvlam1
{
	qer_editorimage textures/UJE_forbidden_city/kaarsvlam.tga
//	q3map_tessSize 2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	//surfaceparm pointlight
	nofog
	nomipmaps
	nopicmip
	cull none
	deformVertexes autosprite
	{
		clampmap textures/UJE_forbidden_city/kaarsvlam.tga
		rgbGen wave sin 0.4 0.6 0.17 0.5
		rgbGen wave sin 0.6 0.4 0.3 0.15
		blendfunc add
		tcMod stretch sin 1.0 0.1 0.2 0.5 //0.09375 0.1 0.2 0.5 // sin 1 0.1 0.2 0.5
	}
}
textures/UJE_forbidden_city/kaarsvlam2
{
	qer_editorimage textures/UJE_forbidden_city/kaarsvlam.tga
//	q3map_tessSize 2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	//surfaceparm pointlight
	nofog
	nomipmaps
	nopicmip
	cull none
	deformVertexes autosprite
	{
		clampmap textures/UJE_forbidden_city/kaarsvlam.tga
		rgbGen wave sin 0.4 0.6 0.6 0.3
		rgbGen wave sin 0.6 0.4 0.17 0.4
		blendfunc add
		tcMod stretch sin 1.0 0.1 0.6 0.5
	}
}
textures/UJE_forbidden_city/kaarsvlam3
{
	qer_editorimage textures/UJE_forbidden_city/kaarsvlam.tga
//	q3map_tessSize 2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	//surfaceparm pointlight
	nofog
	nomipmaps
	nopicmip
	cull none
	deformVertexes autosprite
	{
		clampmap textures/UJE_forbidden_city/kaarsvlam.tga
		rgbGen wave sin 0.6 0.4 0.3 0.6
		rgbGen wave sin 0.4 0.6 0.17 0.1
		blendfunc add
		tcMod stretch sin 1.0 0.1 0.5 0.5
	}
}
textures/UJE_forbidden_city/crow
{
	qer_editorimage textures/UJE_forbidden_city/crow1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformVertexes move 1 0.3 0.5 sin 0 72 0 0.08 
	{
		map textures/UJE_forbidden_city/crow1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_forbidden_city/waterval
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/UJE_forbidden_city/water04.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -1.5
		alphaGen Vertex
	}
}
textures/UJE_forbidden_city/uje_splash_1
{
	qer_editorimage textures/UJE_forbidden_city/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 15.2671 0 21.0681 sawtooth 0 1 0 0.99758 
	{
		clampmap textures/UJE_forbidden_city/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.99758 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.99758 
		alphaGen wave sawtooth 0.6 -0.6 0 0.99758 
	}
}

textures/UJE_forbidden_city/uje_splash_2
{
	qer_editorimage textures/UJE_forbidden_city/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 27.9806 0 14.5417 sawtooth 0 1 0 1.00822 
	{
		clampmap textures/UJE_forbidden_city/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 1.00822 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 1.00822 
		alphaGen wave sawtooth 0.6 -0.6 0 1.00822 
	}
}

textures/UJE_forbidden_city/uje_splash_3
{
	qer_editorimage textures/UJE_forbidden_city/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move -23.5294 0 24.9054 sawtooth 0 1 0 0.922809 
	{
		clampmap textures/UJE_forbidden_city/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.922809 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.922809 
		alphaGen wave sawtooth 0.6 -0.6 0 0.922809 
	}
}

textures/UJE_forbidden_city/uje_splash_4
{
	qer_editorimage textures/UJE_forbidden_city/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 12.4378 0 31.5161 sawtooth 0 1 0 1.02932 
	{
		clampmap textures/UJE_forbidden_city/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 1.02932 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 1.02932 
		alphaGen wave sawtooth 0.6 -0.6 0 1.02932 
	}
}

textures/UJE_forbidden_city/uje_splash_5
{
	qer_editorimage textures/UJE_forbidden_city/uje_splash.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move -34.8016 0 9.76785 sawtooth 0 1 0 0.958803 
	{
		clampmap textures/UJE_forbidden_city/uje_splash.tga
		blendfunc add
		rgbGen wave sawtooth 1 -0.75 0 0.958803 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0 0.958803 
		alphaGen wave sawtooth 0.6 -0.6 0 0.958803 
	}
}
textures/UJE_forbidden_city/light_yellow
{
	q3map_lightimage textures/UJE_forbidden_city/light_yellow.tga
	q3map_surfacelight 1000		//50000
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm glass
	cull none
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJE_forbidden_city/light_yellow.tga
		blendFunc GL_DST_COLOR GL_ZERO
		depthWrite
		rgbGen identity
	}
	{
		map textures/UJE_forbidden_city/light_yellow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/UJE_forbidden_city/light_yell_dragon
{
	q3map_lightimage textures/UJE_forbidden_city/light_banana.tga
	q3map_surfacelight 1000		//40000
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm glass
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJE_forbidden_city/light_yell_dragon.tga
		blendFunc GL_DST_COLOR GL_ZERO
		depthWrite
		rgbGen identity
	}
	{
		map textures/UJE_forbidden_city/light_yell_dragon.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/UJE_forbidden_city/light_red_dragon
{
	q3map_lightimage textures/UJE_forbidden_city/light_taronja.tga
	q3map_surfacelight 1000		//40000
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm glass
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJE_forbidden_city/light_red_dragon.tga
		blendFunc GL_DST_COLOR GL_ZERO
		depthWrite
		rgbGen identity
	}
	{
		map textures/UJE_forbidden_city/light_red_dragon.tga
		blendFunc GL_ONE GL_ONE
	}
}
//Bloemen
textures/UJE_forbidden_city/uje_bloem1
{
	qer_editorimage textures/UJE_forbidden_city/bloem1.tga
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformVertexes move 0.1 0.1 0 sin 0 0.1 0 1 
	{
		map textures/UJE_forbidden_city/bloem1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_forbidden_city/uje_bloem2
{
	qer_editorimage textures/UJE_forbidden_city/bloem2.tga
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformVertexes move 0.1 0.1 0 sin 0 0.1 0 1  
	{
		map textures/UJE_forbidden_city/bloem2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_forbidden_city/uje_bloem3
{
	qer_editorimage textures/UJE_forbidden_city/bloem3.tga
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformVertexes move 0.1 0.1 0 sin 0 0.1 0 1  
	{
		map textures/UJE_forbidden_city/bloem3.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_forbidden_city/uje_bloem4
{
	qer_trans 0.85
	qer_editorimage textures/UJE_forbidden_city/bloem4.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/UJE_forbidden_city/bloem4.tga
}
textures/UJE_forbidden_city/uje_boedha1
{
	qer_editorimage textures/UJE_forbidden_city/boedha1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformVertexes move 0.1 0.1 0 sin 0 0.1 0 1  
	{
		map textures/UJE_forbidden_city/boedha1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_forbidden_city/uje_boedha2
{
	qer_editorimage textures/UJE_forbidden_city/boedha2.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	deformVertexes move 0.1 0.1 0 sin 0 0.1 0 1  
	{
		map textures/UJE_forbidden_city/boedha2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/UJE_forbidden_city/neon_blauw
{
	qer_editorimage	textures/UJE_forbidden_city/teleporter_swirl1.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	{
		clampMap textures/UJE_forbidden_city/teleporter_swirl4.tga
		blendFunc ADD
		tcMod rotate 45
		rgbGen wave sin 0.8 .15 .2 0.05
	}
	{
		clampMap textures/UJE_forbidden_city/teleporter_swirl1.tga
		blendFunc ADD
		tcMod rotate 180
		rgbGen vertex
            tcMod stretch sin 0.9 0.1 0 .5
	}
}
// Oak-mapmodel 

models/mapobjects/oak/oakblaetter
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter2
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter3
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/UJE_forbidden_city/uje_goud
{
	qer_editorimage textures/UJE_forbidden_city/goudplaat.jpg
	q3map_surfacelight 50
	nofog
	surfaceparm nomarks
	surfaceparm solid
	surfaceparm metalsteps //!
	{
		map textures/UJE_forbidden_city/goudplaat.jpg
	}
	{
		map textures/effects/envmap_gold.tga
		blendfunc gl_src_alpha gl_one
//		alphaGen const 0.5
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
}

textures/UJE_forbidden_city/uje_goud1
{
	qer_editorimage textures/UJE_forbidden_city/slangegoud.jpg
	q3map_surfacelight 50
	nofog
	surfaceparm nomarks
	surfaceparm solid
	surfaceparm metalsteps //!
	{
		map textures/UJE_forbidden_city/slangegoud.jpg
	}
	{
		map textures/effects/envmap_gold.tga
		blendfunc gl_src_alpha gl_one
//		alphaGen const 0.5
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
}
textures/UJE_forbidden_city/light_blue_blend
{
	q3map_lightimage textures/UJE_forbidden_city/light_blue_blend.tga
	q3map_surfacelight 1000		//25000
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm glass
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJE_forbidden_city/light_blue_blend.tga
		blendFunc GL_DST_COLOR GL_ZERO
		depthWrite
		rgbGen identity
	}
	{
		map textures/UJE_forbidden_city/light_blue_blend.tga
		blendFunc GL_ONE GL_ONE
	}
}
textures/UJE_forbidden_city/ujemuurlogo
{
	qer_editorimage textures/UJE_forbidden_city/boeddha_uje.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	polygonOffset
	sort decal

	{
		map textures/UJE_forbidden_city/boeddha_uje.tga
     		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}

//models
models/mapobjects/nmtrees/skin_dieing
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/nmtrees/skin_dieing.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
	implicitMask -
}
models/mapobjects/nmtrees/WillowBranches
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}
models/mapobjects/fountainhead/fountainspit1
{
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nomarks
	cull disable
	{
		animmap 25 models/mapobjects/fountainhead/fountainspit1.jpg models/mapobjects/fountainhead/fountainspit2.jpg models/mapobjects/fountainhead/fountainspit3.jpg models/mapobjects/fountainhead/fountainspit4.jpg models/mapobjects/fountainhead/fountainspit5.jpg models/mapobjects/fountainhead/fountainspit4.jpg models/mapobjects/fountainhead/fountainspit3.jpg models/mapobjects/fountainhead/fountainspit2.jpg 
		blendfunc add
		rgbGen identity
		tcMod scroll 0 0.4
	}
}

models/mapobjects/fountainhead/fountainflow
{
	{
		map models/mapobjects/fountainhead/specular5.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map models/mapobjects/fountainhead/fountainflow.jpg
		blendfunc blend
		rgbGen lightingDiffuse
		tcMod scroll 0.1 0.4
	}
}
models/mapobjects/ktrees/05bark
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}
models/mapobjects/ktrees/ttrunk
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}
models/mapobjects/ktrees/12branch
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}
models/mapobjects/ktrees/ttree
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}
models/mapobjects/br_flowers/purpleflowers
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/purpleflowers.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/purpleflowers.tga
}
models/mapobjects/br_flowers/rose_1
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/rose_1.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/rose_1.tga
}
models/mapobjects/br_flowers/green_1
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/br_flowers/green_1.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/br_flowers/green_1.tga
}
models/mapobjects/giant/giant1
{
	qer_trans 0.85
	qer_editorimage models/mapobjects/giant/giant1.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm grasssteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask models/mapobjects/giant/giant1.tga
}